Bug 1409294 - Review Request: pantheon-calculator - calculator for the pantheon desktop
Summary: Review Request: pantheon-calculator - calculator for the pantheon desktop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PantheonDesktopPackageReviews
TreeView+ depends on / blocked
 
Reported: 2016-12-31 10:28 UTC by Fabio Valentini
Modified: 2017-11-11 17:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-07 21:49:49 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2016-12-31 10:28:42 UTC
Spec URL: https://raw.githubusercontent.com/decathorpe/fedora-packaging/master/specs/pantheon-calculator/pantheon-calculator.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/decathorpe/staging/fedora-25-x86_64/00494108-pantheon-calculator/pantheon-calculator-0.1.1.1-4.fc25.src.rpm

Description: Calculator application for the Pantheon desktop, used by elementaryOS. This package was already available via my elementary-stable/nightly COPR repository.

Fedora Account System Username: decathorpe

koji scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=17125794

Build for rawhide and f25 in COPR: https://copr.fedorainfracloud.org/coprs/decathorpe/staging/build/494108/


Comment on the occurring "invalid-lc-messages-dir" rpmlint errors:
These errors don't seem to apply to fedora, since many already existing packages put translation files there (mainly those translated through launchpad/rosetta, I think).

Comment 1 Fabio Valentini 2016-12-31 13:34:57 UTC
Sorry about the noise, but I noticed that the "License" tag was wrong ("GPLv3" instead of the correct "GPLv3+"). The other 2 changes are purely cosmetic (use https for URL; put Name tag at the top of the .spec file).

Spec URL: https://raw.githubusercontent.com/decathorpe/fedora-packaging/master/specs/pantheon-calculator/pantheon-calculator.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/decathorpe/staging/fedora-25-x86_64/00494119-pantheon-calculator/pantheon-calculator-0.1.1.1-5.fc25.src.rpm

COPR build: https://copr.fedorainfracloud.org/coprs/decathorpe/staging/build/494119/

Comment 2 Neal Gompa 2016-12-31 13:35:41 UTC
Taking this review.

Comment 3 Neal Gompa 2016-12-31 14:06:13 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "GPL (v3 or later)", "Unknown or generated".
     249 files have unknown license. Detailed output of licensecheck in
     /home/makerpm/1409294-pantheon-calculator/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/locale/szl/LC_MESSAGES,
     /usr/share/locale/ckb, /usr/share/locale/rue/LC_MESSAGES,
     /usr/share/locale/ckb/LC_MESSAGES, /usr/share/locale/rue,
     /usr/share/locale/szl
[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/locale/rue/LC_MESSAGES, /usr/share/locale/szl/LC_MESSAGES,
     /usr/share/locale/ckb/LC_MESSAGES, /usr/share/locale/ckb,
     /usr/share/locale/rue, /usr/share/locale/szl
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     pantheon-calculator-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pantheon-calculator-0.1.1.1-5.fc26.x86_64.rpm
          pantheon-calculator-debuginfo-0.1.1.1-5.fc26.x86_64.rpm
          pantheon-calculator-0.1.1.1-5.fc26.src.rpm
pantheon-calculator.x86_64: W: no-manual-page-for-binary pantheon-calculator
pantheon-calculator.x86_64: E: invalid-lc-messages-dir /usr/share/locale/bh/LC_MESSAGES/pantheon-calculator.mo
pantheon-calculator.x86_64: E: invalid-lc-messages-dir /usr/share/locale/mo/LC_MESSAGES/pantheon-calculator.mo
3 packages and 0 specfiles checked; 2 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: pantheon-calculator-debuginfo-0.1.1.1-5.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
pantheon-calculator.x86_64: W: no-manual-page-for-binary pantheon-calculator
pantheon-calculator.x86_64: E: invalid-lc-messages-dir /usr/share/locale/bh/LC_MESSAGES/pantheon-calculator.mo
pantheon-calculator.x86_64: E: invalid-lc-messages-dir /usr/share/locale/mo/LC_MESSAGES/pantheon-calculator.mo
2 packages and 0 specfiles checked; 2 errors, 1 warnings.



Requires
--------
pantheon-calculator-debuginfo (rpmlib, GLIBC filtered):

pantheon-calculator (rpmlib, GLIBC filtered):
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgee-0.8.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgranite.so.3()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
pantheon-calculator-debuginfo:
    pantheon-calculator-debuginfo
    pantheon-calculator-debuginfo(x86-64)

pantheon-calculator:
    appdata()
    appdata(org.pantheon.calculator.appdata.xml)
    application()
    application(org.pantheon.calculator.desktop)
    pantheon-calculator
    pantheon-calculator(x86-64)



Source checksums
----------------
https://launchpad.net/pantheon-calculator/0.4-loki/0.1.1.1/+download/pantheon-calculator-0.1.1.1.tar.xz :
  CHECKSUM(SHA256) this package     : cd1fb70ea4b4d09d29cdcbcbce7533df4a40a3b6b4b5472261d5dbb030309fea
  CHECKSUM(SHA256) upstream package : cd1fb70ea4b4d09d29cdcbcbce7533df4a40a3b6b4b5472261d5dbb030309fea


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1409294 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Neal Gompa 2016-12-31 14:07:02 UTC
As the errors/warnings from rpmlint are expected, there are no issues with this package I can see.

PACKAGE APPROVED.

Comment 5 Kevin Fenzi 2017-01-02 20:43:33 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/pantheon-calculator

Comment 6 Fedora Update System 2017-01-02 22:18:20 UTC
pantheon-calculator-0.1.1.1-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ecd7f54476

Comment 7 Fedora Update System 2017-01-03 22:20:30 UTC
pantheon-calculator-0.1.1.1-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ecd7f54476

Comment 8 Fedora Update System 2017-01-07 21:49:49 UTC
pantheon-calculator-0.1.1.1-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.